Skip to main content
POST
/
tasks
Create a task
curl --request POST \
  --url https://api.rulebase.co/tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "task": {
    "external_id": "TASK-9182",
    "agent": {
      "email": "<string>",
      "name": "<string>",
      "external_id": "<string>"
    },
    "completed_at": "2026-05-12T14:32:00Z",
    "custom_attributes": {
      "task_type": "fraud_review",
      "status": "completed"
    }
  }
}
'
{
  "data": {
    "id": "<string>",
    "external_id": "<string>",
    "agent": {
      "email": "<string>",
      "name": "<string>",
      "external_id": "<string>"
    },
    "completed_at": "2023-11-07T05:31:56Z",
    "custom_attributes": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key authentication using Bearer Token

Body

application/json
task
object
required

The task to create

Response

201 - application/json

Task created

data
object
required